=== src/openapi/doc/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_library(OpenApiDoc INTERFACE)

qt_internal_add_docs(OpenApiDoc qtopenapi.qdocconf)
