=== coin/openapi-generator-cli/debian/changelog ===
openapi-generator-cli (CLI_VERSION) unstable; urgency=medium

  * Initial release.

 -- The Qt Company <support@qt.io>  Fri, 12 Dec 2025 08:00:00 +0200
